namespace veebandmed1.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class InitialCreate : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Omaniks",
                c => new
                    {
                        ID = c.Int(nullable: false),
                        eesnimi = c.String(maxLength: 20),
                    })
                .PrimaryKey(t => t.ID);
            
            CreateTable(
                "dbo.Kasses",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        kassinimi = c.String(),
                        synniaasta = c.Int(nullable: false),
                        OmanikID = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.ID)
                .ForeignKey("dbo.Omaniks", t => t.OmanikID, cascadeDelete: true)
                .Index(t => t.OmanikID);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.Kasses", "OmanikID", "dbo.Omaniks");
            DropIndex("dbo.Kasses", new[] { "OmanikID" });
            DropTable("dbo.Kasses");
            DropTable("dbo.Omaniks");
        }
    }
}
