﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;

namespace veebandmed1.Models
{
    public class Koer
    {
        public int ID { get; set; }
        public String koeranimi { get; set; }
        public int synniaasta { get; set; }
    }
    public class KoerContext : DbContext {
        public KoerContext() { }
        public DbSet<Koer> Koerad { get; set; }
    }
}

/*
 * Koera lisamisel kontrolli, et sünniaasta oleks suurem kui 1990, 
 * muul juhul kuva eraldi lehel hoiatus
 * Koerte loetelu lehel kuva lisaks noorima ja vanima koera sünniaasta,
 * koerte vanuse aritmeetiline keskmine ja mediaan.
 * 
 * */
