﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;


namespace veebandmed1.Models
{
    public class Omanik
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }
        [Display(Name = "Omaniku eesnimi")]
        [StringLength(20, MinimumLength = 1)]
        public String eesnimi { get; set; }
        public virtual ICollection<Kass> Kassid { get; set; }
    }
    public class OmanikContext : DbContext
    {
        public OmanikContext() { }
        public DbSet<Kass> Omanikud { get; set; }

        public System.Data.Entity.DbSet<veebandmed1.Models.Omanik> Omaniks { get; set; }
    }
}