﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Data.Entity;

namespace veebandmed1.Models
{
    public class Kass
    {
        public int ID { get; set; }
        public String kassinimi { get; set; }
        public int synniaasta { get; set; }
        public String KassiTutvustus {
            get {
                return kassinimi + " " + synniaasta;
            }
        }
        public int OmanikID { get; set; }
        public virtual Omanik Omanik { get; set; }
    }
    public class KassContext : DbContext {
        public KassContext() { }
        public DbSet<Kass> Kassid { get; set; }

        public System.Data.Entity.DbSet<veebandmed1.Models.Omanik> Omaniks { get; set; }
    }
}